# Module: Concurrent::Promises::FactoryMethods::Configuration

Included in:
  Concurrent::Promises::FactoryMethods

Defined in:
  lib/concurrent-ruby/concurrent/promises.rb

## Instance Method Summary collapse

- #default_executor ⇒ Executor, :io, :fast

  The executor which is used when none is supplied to a factory method.

## Instance Method Details

### #default_executor ⇒ `Executor`, `:io`, `:fast`

Returns the executor which is used when none is supplied to a factory method. The method can be overridden in the receivers of `include FactoryMethod`.

Returns:

- (`Executor`, `:io`, `:fast`) —

  the executor which is used when none is supplied to a factory method. The method can be overridden in the receivers of `include FactoryMethod`

    52
    53
    54

    # File 'lib/concurrent-ruby/concurrent/promises.rb', line 52

    def default_executor
      :io
    end